Name:           jam-control
Version:        1.03
Release:        4%{?dist}
Summary:        GUI app to control audio servers 
Group:          Applications/Multimedia 
License:        GPLv3+
URL:            https://gitorious.org/jam-control
Source0:        http://jvlomax.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  PyQt4-devel
BuildRequires:  desktop-file-utils
Requires:       pulseaudio
Requires:       PyQt4
Requires:       hicolor-icon-theme

 
%description
Jam  control is a GUI application to turn pulseaudio and the JACK audio
server on and off. 

%prep
%setup -q

%build

%install
install -d %{buildroot}%{_bindir}
install -p -m 755 %{name}.py %{buildroot}%{_bindir}/%{name}

mkdir -p  %{buildroot}%{_datadir}/%{name}
install -p -m 755 *.py* %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install            \
  --dir %{buildroot}%{_datadir}/applications \
 dist/%{name}.desktop

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
mv dist/application-default-icon.png \
  %{buildroot}%{_datadir}/icons/hicolor/48x48/apps

%post
touch --no-create %{_datadir}/icons/hicolor || :
  
%postun
if [$1 -eq 0 ] ; then
   /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
   /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/jam-control.py*
%{_datadir}/%{name}/jackController.py*
%{_datadir}/%{name}/jackDbusController.py*
%{_datadir}/%{name}/main_ui.py*
%{_datadir}/%{name}/pulseController.py*
%{_datadir}/%{name}/util.py*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/application-default-icon.png

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 28 2012 Jørn Lomax <northlomax@gmail.com> 1.03-1
- Updated to version 1.03-1
* Sun Oct 21 2012 Jørn Lomax <northlomax@gmail.com> 1.02-1
- fixed version realese numbers
* Sun Oct 14 2012 Jørn Lomax <northlomax@gmail.com> 1.01-3
- bumped source version to 1.02
- fixed ownership issues
* Mon Aug 28 2012 Jørn Lomax <northlomax@gmail.com> 1.01-2
- added pulseaudio to requires
* Mon Aug 20 2012 Jørn Lomax <northlomax@gmail.com> 1.01-1
- version bump
- fxed .desktop file install
* Sun Aug 19 2012 Jørn Lomax <northlomax@gmail.com> 1.0-2
- Added URL and  Build sections. Removed useless Require 
* Wed Aug 15 2012 Jørn Lomax <northlomax@gmail.com> 1.0-1
- created initial spec
